﻿using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Controls;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.KnowledgeGraph;
using ArcGIS.Desktop.Layouts;
using ArcGIS.Desktop.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace EmbeddedUI_SketchTool
{
  internal class SketchToolOptionsViewModel : EmbeddableControl
  {
    public SketchToolOptionsViewModel(XElement options, bool canChangeOptions) : base(options, canChangeOptions) { }

    private double _radiusValue = 100;
    public double RadiusValue
    {
      get => _radiusValue;
      set => SetProperty(ref _radiusValue, value, () => RadiusValue);
    }



  }
}
